summaryrefslogtreecommitdiffstats
path: root/aai-traversal/src/main/resources
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-09-28 17:44:52 -0400
committerVenkata Harish K Kajur <vk250x@att.com>2017-09-28 17:44:57 -0400
commitbed3675b3616e089d8581b7cb755adb754e2f3f9 (patch)
treec9be7f3df10e18079a8e1e83330652086771fd8b /aai-traversal/src/main/resources
parente76326c68fb9b1dff847275fde0f2cc78ce2f8a2 (diff)
Change all the packages from openecomp to onap
Issue-ID: AAI-61 AAI-82 Change-Id: Iba7de4bd0dea1398d8608c9c514d78ad69201d0a Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-traversal/src/main/resources')
-rw-r--r--aai-traversal/src/main/resources/docker/aai.sh16
-rw-r--r--aai-traversal/src/main/resources/docker/docker-entrypoint.sh21
-rw-r--r--aai-traversal/src/main/resources/docker/init-chef.sh35
-rw-r--r--aai-traversal/src/main/resources/schema/UebEventLogEntry.xsd23
4 files changed, 66 insertions, 29 deletions
diff --git a/aai-traversal/src/main/resources/docker/aai.sh b/aai-traversal/src/main/resources/docker/aai.sh
index 741076f..a253775 100644
--- a/aai-traversal/src/main/resources/docker/aai.sh
+++ b/aai-traversal/src/main/resources/docker/aai.sh
@@ -1,22 +1,24 @@
-###
+#
# ============LICENSE_START=======================================================
-# org.openecomp.aai
+# org.onap.aai
# ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-###
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+#
PROJECT_HOME=/opt/app/aai-traversal
export PROJECT_HOME
diff --git a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
index 5823105..f69e468 100644
--- a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
+++ b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
@@ -1,22 +1,24 @@
-###
+#
# ============LICENSE_START=======================================================
-# org.openecomp.aai
+# org.onap.aai
# ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-###
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+#
# Set the current path to be the application home and common libs home
export APP_HOME=$(pwd);
@@ -41,7 +43,10 @@ fi;
chown -R aaiadmin:aaiadmin /opt/app /var/chef /opt/aai/logroot
-gosu aaiadmin ./init-chef.sh
+gosu aaiadmin ./init-chef.sh || {
+ echo "Unable to run init chef script, please check logs";
+ exit 1;
+}
httpPort=8086;
httpsPort=8446;
diff --git a/aai-traversal/src/main/resources/docker/init-chef.sh b/aai-traversal/src/main/resources/docker/init-chef.sh
index 0e10055..52c35e3 100644
--- a/aai-traversal/src/main/resources/docker/init-chef.sh
+++ b/aai-traversal/src/main/resources/docker/init-chef.sh
@@ -1,24 +1,25 @@
#!/bin/bash
-
-###
+#
# ============LICENSE_START=======================================================
-# org.openecomp.aai
+# org.onap.aai
# ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-###
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+#
##############################################################################
# Script to initialize the chef-repo branch and.chef
@@ -34,10 +35,15 @@ if [ ! -d "aai-config" ]; then
exit;
}
+fi
+
+if [ -d "aai-config/cookbooks/aai-traversal" ]; then
+
(cd aai-config/cookbooks/aai-traversal/ && \
for f in $(ls); do mv $f ../; done && \
cd ../ && rmdir aai-traversal);
-fi
+
+fi;
if [ ! -d "aai-data" ]; then
@@ -46,9 +52,10 @@ if [ ! -d "aai-data" ]; then
exit;
}
- chef-solo \
- -c /var/chef/aai-data/chef-config/dev/.knife/solo.rb \
- -j /var/chef/aai-config/cookbooks/runlist-aai-traversal.json \
- -E ${AAI_CHEF_ENV};
-
fi
+
+chef-solo \
+ -c /var/chef/aai-data/chef-config/dev/.knife/solo.rb \
+ -j /var/chef/aai-config/cookbooks/runlist-aai-traversal.json \
+ -E ${AAI_CHEF_ENV};
+
diff --git a/aai-traversal/src/main/resources/schema/UebEventLogEntry.xsd b/aai-traversal/src/main/resources/schema/UebEventLogEntry.xsd
index c679fd2..edc8924 100644
--- a/aai-traversal/src/main/resources/schema/UebEventLogEntry.xsd
+++ b/aai-traversal/src/main/resources/schema/UebEventLogEntry.xsd
@@ -1,3 +1,26 @@
+<!--
+
+ ============LICENSE_START=======================================================
+ org.onap.aai
+ ================================================================================
+ Copyright © 2017 AT&T Intellectual Property. All rights reserved.
+ ================================================================================
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+ ============LICENSE_END=========================================================
+
+ ECOMP is a trademark and service mark of AT&T Intellectual Property.
+
+-->
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xs:complexType name="UebEventLogEntry">
<xs:sequence>